/* QUESTION.C - Function to output a question prompt and return
                Y or N as the result.
*/

#include <stdio.h>
#include <ctype.h>
#include "environ.h"

#define BELL        0x07
#define BACKSPACE   0x08

int question(char *prompt)
{
    int     reply,
            found;
    
    printf("%s (y/n) ? ",prompt);
    found = 0;
    
    do
    {
        reply = toupper(getkey());
        if (reply == 'Y' || reply == 'N')
            found = 1;
        else
        {
            found = 0;
            printf("%c%c ",BELL,BACKSPACE);
            fflush(stdout);
        }
    }
    while (found == 0);
    return(reply == 'Y');
}
