/* TESTFIXE.C - Test harness for fixext()    */

#include <stdio.h>
#include "environ.h"

#ifdef MSDOS
#include <stdlib.h>
#endif

char* d = "<NULL>";

main(int argc, char **argv)
{
    char* r;

    if (argc<3)
        error(argv[0],"usage:","testfixe filename ext");

    r = fixext(argv[1],argv[2]);
    if (r == 0)
        printf("\nNULL returned\n");
    else
    {
        printf("\nfixext(%s,%s) returned %s\n",
               argv[1],
               argv[2],
               r);
        free(r);
        printf("Free completed.\n");
    }
    return(0);
}

