/* TESTTAB.C - Test module for the tabs library */

#include <stdio.h>
#include "environ.h"

main(int argc, char **argv)
{
    char    tabs[MAXLINE],
            data[MAXLINE];
    int     i,col;
    FILE    *inp;

    setprog(argv[0]);

    if (argc <2)
    	error(progname(), "Usage: testtab filename", "");
    	
    
    tabnormal(tabs);

    for ( i=0; i<=MAXLINE; i++)
        if (tabpos(i,tabs))
            putchar('T');
        else
            putchar('.');

    printf("\n\n");

    inp = fopen(argv[1],"r");
    if (!inp) 
        error(progname(), "Failed to open", argv[1]);

    while (fgets(data,MAXLINE-1,inp))
    {
        col=0;
        for ( i=0; data[i]; i++)
        {
            if (data[i] == 9)
                col = tabout(stdout,col,tabs);
            else
            {
                putchar(data[i]);
                col++;
            }
        }
    }
    fclose(inp);

    return(0);
}

