/* PROGNAME.C - a Linux equivalent of OS/9's _prgname() function */

#include <stdio.h>
#include "environ.h"

#ifdef MSDOS
#include <string.h>
#endif

char *_prog = "UNSET";

char *progname(void)
{
	return _prog;
}

#ifdef LINUX
void setprog(char *name)
{
	_prog = name;
}
#endif

#ifdef OS9
void setprog(char *name)
{
	_prog = name;
}
#endif

#ifdef MSDOS
void setprog(char *name)
{
   char *p;

   p = strrchr(name, SEPCHAR);
   if (p)
   {
      _prog = ++p;
   }
   else
   {
      _prog = name;
   }
}
#endif
